// MyDynamicToolBar.cpp : implementation file
//

#include "stdafx.h"
#include "DynamicToolBar.h"
#include "MyDynamicToolBar.h"
#include ".\mydynamictoolbar.h"


// CMyDynamicToolBar

IMPLEMENT_DYNAMIC(CMyDynamicToolBar, CToolBar)
CMyDynamicToolBar::CMyDynamicToolBar()
{
}

CMyDynamicToolBar::~CMyDynamicToolBar()
{
	m_asToolTips.clear();
}


BEGIN_MESSAGE_MAP(CMyDynamicToolBar, CToolBar)
END_MESSAGE_MAP()



// CMyDynamicToolBar message handlers


BOOL CMyDynamicToolBar::OnNotify(WPARAM wParam, LPARAM lParam, LRESULT* pResult)
{
      LPNMHDR pNMHDR = ((LPNMHDR)lParam);
      TOOLTIPTEXTW *pTTT=(TOOLTIPTEXTW *)pNMHDR;
      UINT t = TTN_NEEDTEXTW;
      if(pNMHDR->code == t) {
   
         UINT nID=pNMHDR->idFrom;
         if(!(pTTT->uFlags & TTF_IDISHWND))
         {
            if ((nID >= ID_MYTOOLBAR_BUTTON1) || (nID <= ID_MYTOOLBAR_BUTTONLAST))
               {
                  USES_CONVERSION;

				  UINT btn1 = ID_MYTOOLBAR_BUTTON1;

                  pTTT->lpszText = T2W(m_asToolTips[nID - btn1]); //tmp.GetBuffer(80);
                  pTTT->hinst = NULL;
                  return TRUE;
               }
         }

    }
	return CToolBar::OnNotify(wParam, lParam, pResult);
}

// Inserts tool tips text consecutively
void CMyDynamicToolBar::InsertToolTip(CString sToolTip)
{
	m_asToolTips.push_back(sToolTip);
}

// Retrieve Tool Tip text
CString CMyDynamicToolBar::GetToolTip(UINT nID)
{
	UINT btn1 = ID_MYTOOLBAR_BUTTON1;
	return m_asToolTips[nID - btn1];
}
