#pragma once

#include <vector>

typedef std::vector <CString>		V_CString;


// CMyDynamicToolBar

class CMyDynamicToolBar : public CToolBar
{
	DECLARE_DYNAMIC(CMyDynamicToolBar)

public:
	CMyDynamicToolBar();
	virtual ~CMyDynamicToolBar();

protected:
	DECLARE_MESSAGE_MAP()
private:
	// Variable for storing tool tip text
	V_CString m_asToolTips;
protected:
	virtual BOOL OnNotify(WPARAM wParam, LPARAM lParam, LRESULT* pResult);
public:
	// Inserts tool tips text consecutively
	void InsertToolTip(CString sToolTip);
	// Retrieve Tool Tip text
	CString GetToolTip(UINT nID);
};


